QGIS Application - Bug report #5118

Floating controls in the print composer do not close (and continue to operate) when you close the
composer

2012-03-05 02:07 PM - Alister Hood

Status: Closed

Priority: Low

Assignee: Nathan Woodrow

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14877
Description

In the print composer in master, | have detached the the "ltem properties" and "composition" panes, so they are now floating. When |
close the print composer they remain open, and if | make changes in them, when | reopen the print layout the changes have been applied.
Funky ;)

Associated revisions

Revision 4799079 - 2012-05-04 12:21 PM - Nathan Woodrow

Disable floating dock widgets in composer. Fix #5118

History

#1 - 2012-04-28 08:36 PM - Nathan Woodrow

This seems to be a bug with Qt and having more then one QMainWindow with dock widgets. | did find a bug report one day but can't seem to find it now.

| was thinking that maybe to disable floating dock widgets in the composer for now until a better fix can be found. Random floating dock widgets would be

confusing to users.

#2 - 2012-04-28 08:36 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#3 - 2012-05-04 03:22 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"479907f90355fb4e622ca7dedcf16e547072dc74".

#4 - 2012-05-04 03:24 AM - Nathan Woodrow

Ok | have disabled the floating dock widgets for now. Doesn't give a good user experience with having a floating dock widget that doesn't close when the

parent window does.
